package com.yihu.jw.entity.door;


import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 服务工单转接给其他结构的转接记录实体
*
* @author Administrator on  2019年03月15日
*
*/
@Entity
@Table(name = "wlyy_door_trans_record")
public class WlyyDoorTransRecordDO extends UuidIdentityEntityWithOperator {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 调度员code
	 */
	private String dispatcher;

    /**
	 * 调度员code
	 */
	private String dispatcherName;

    /**
	 * 转接的机构code
	 */
	private String transedOrgCode;

    /**
	 * 转接的机构调度员code
	 */
	private String transedDispatcher;

    /**
	 * 转接的机构调度员code
	 */
	private String transedDispatcherName;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "dispatcher")
    public String getDispatcher() {
        return dispatcher;
    }
    public void setDispatcher(String dispatcher) {
        this.dispatcher = dispatcher;
    }

	@Column(name = "dispatcher_name")
    public String getDispatcherName() {
        return dispatcherName;
    }
    public void setDispatcherName(String dispatcherName) {
        this.dispatcherName = dispatcherName;
    }

	@Column(name = "transed_org_code")
    public String getTransedOrgCode() {
        return transedOrgCode;
    }
    public void setTransedOrgCode(String transedOrgCode) {
        this.transedOrgCode = transedOrgCode;
    }

	@Column(name = "transed_dispatcher")
    public String getTransedDispatcher() {
        return transedDispatcher;
    }
    public void setTransedDispatcher(String transedDispatcher) {
        this.transedDispatcher = transedDispatcher;
    }

	@Column(name = "transed_dispatcher_name")
    public String getTransedDispatcherName() {
        return transedDispatcherName;
    }
    public void setTransedDispatcherName(String transedDispatcherName) {
        this.transedDispatcherName = transedDispatcherName;
    }



}